Loading...
Searching...
No Matches
auth_mod_t Struct Reference

Common data for authentication module. More...

`#include <auth_plugin.h>`

Collaboration diagram for auth_mod_t:
[legend]

## Data Fields

unsigned | _am_refcount
| Not used.
char const * | am_db
| User database file name.
struct stat * | am_stat
| State of user file when read.
auth_htable_t | am_users [1]
| Table of users.
void * | am_buffer
| Buffer for database.
auth_passwd_t * | am_locals
| Entries from local user file.
size_t | am_local_count
| Number of entries from local user file.
auth_passwd_t * | am_anon_user
| Special entry for anonymous user.
url_t * | am_remote
| Remote authenticator.
char const * | am_realm
| Our realm.
char const * | am_opaque
| Opaque identification data.
char const * | am_gssapi_data
| NTLM data.
char const * | am_targetname
| NTLM target name.
auth_scheme_t * | am_scheme
| Authentication scheme (Digest, Basic).
char const ** | am_allow
| Methods to allow without authentication.
msg_param_t | am_algorithm
| Defauilt algorithm.
msg_param_t | am_qop
| Default qop (quality-of-protection).
unsigned | am_expires
| Nonce lifetime.
unsigned | am_next_exp
| Next nonce lifetime.
unsigned | am_blacklist
| Extra delay if bad credentials.
unsigned | am_forbidden:1
| Respond with 403 if bad credentials.
unsigned | am_anonymous:1
| Allow anonymous access.
unsigned | am_challenge:1
| Challenge even if successful.
unsigned | am_nextnonce:1
| Send next nonce in responses.
unsigned | am_mutual:1
| Mutual authentication.
unsigned | am_fake:1
| Fake authentication.
unsigned | :0
| Pad.
unsigned | am_count
| Nonce counter.
uint8_t | am_master_key [16]
| Private master key.
su_md5_t | am_hmac_ipad
| MD5 with inner pad.
su_md5_t | am_hmac_opad
| MD5 with outer pad.
unsigned | am_max_ncount:1
| If nonzero, challenge with new nonce after ncount.

## Detailed Description

Common data for authentication module.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.